Generate a Customer Payment Provider Checkout URL
curl --request POST \
--url https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://core.nozle.app/api/v1/customers/{external_customer_id}/checkout_url")
.header("Authorization", "Bearer <token>")
.asString();{
"customer": {
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"payment_provider": "stripe",
"payment_provider_code": "Stripe Prod",
"checkout_url": "https://foo.bar"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}Customers
Generate a Customer Payment Provider Checkout URL
This endpoint regenerates the Payment Provider Checkout URL of a Customer.
POST
/
customers
/
{external_customer_id}
/
checkout_url
Generate a Customer Payment Provider Checkout URL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer external unique identifier (provided by your own application).
Example:
"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"
Response
Customer Checkout URL
Show child attributes
Show child attributes